org.appng.api.rest

## Class DataSourceHelper

- java.lang.Object
- - org.appng.api.rest.DataSourceHelper

-     public class DataSourceHelper
      extends Object

  Utility class that helps dealing with `Datasource`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceHelper(org.springframework.http.ResponseEntity<Datasource> dataSource)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataSourceHelper` | `create(org.springframework.http.ResponseEntity<Datasource> dataSource)`
    `Optional<Element>` | `getElement(int i)`
    `Optional<FieldValue>` | `getField(Element item, String name)`
    `Optional<Filter>` | `getFilter(String name)` Retrieves the filter with the given name, if any
    `Optional<Link>` | `getLink(Element item, String linkId)`
    `Optional<Element>` | `getResult(int i)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceHelper

          public DataSourceHelper(org.springframework.http.ResponseEntity<Datasource> dataSource)

  - ### Method Detail

    - #### create

          public static DataSourceHelper create(org.springframework.http.ResponseEntity<Datasource> dataSource)

    - #### getResult

          @Deprecated
          public Optional<Element> getResult(int i)

      Deprecated.

    - #### getElement

          public Optional<Element> getElement(int i)

    - #### getLink

          public Optional<Link> getLink(Element item,
                                        String linkId)

    - #### getField

          public Optional<FieldValue> getField(Element item,
                                               String name)

    - #### getFilter

          public Optional<Filter> getFilter(String name)

      Retrieves the filter with the given name, if any
      Parameters:
        `name` - the name of the filter
      Returns:
        an `Optional<Filter>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.